ALTER TABLE SBI_DATA_SOURCE MODIFY COLUMN URL_CONNECTION VARCHAR(500) DEFAULT NULL;

ALTER TABLE SBI_ALARM MODIFY COLUMN LABEL VARCHAR(50) NOT NULL;
ALTER TABLE SBI_ALARM ADD UNIQUE INDEX SBI_ALARM_label_unique(LABEL);

ALTER TABLE SBI_ALARM_CONTACT ADD UNIQUE INDEX SBI_ALARM_CONTACT_name_unique(NAME);

ALTER TABLE SBI_KPI ADD UNIQUE INDEX SBI_KPI_code_unique(code);

ALTER TABLE SBI_KPI_MODEL ADD UNIQUE INDEX SBI_KPI_MODEL_unique_kpi_model_cd(KPI_MODEL_CD);

ALTER TABLE SBI_KPI_PERIODICITY ADD UNIQUE INDEX SBI_KPI_PERIODICITY_name_unique(name);

ALTER TABLE SBI_THRESHOLD MODIFY COLUMN code VARCHAR(45) NOT NULL;
ALTER TABLE SBI_THRESHOLD ADD UNIQUE INDEX SBI_THRESHOLD_code_unique(code);

ALTER TABLE SBI_THRESHOLD_VALUE MODIFY COLUMN label VARCHAR(20) NOT NULL;
ALTER TABLE SBI_THRESHOLD_VALUE ADD UNIQUE INDEX SBI_THRESHOLD_VALUE_label_thId_unique(label, THRESHOLD_ID);

ALTER TABLE SBI_RESOURCES ADD UNIQUE INDEX SBI_RESOURCES_unique_resource_name(RESOURCE_NAME);

ALTER TABLE SBI_KPI_MODEL MODIFY COLUMN KPI_MODEL_CD VARCHAR(40) NOT NULL;

ALTER TABLE SBI_KPI_PERIODICITY MODIFY COLUMN name VARCHAR(400) NOT NULL;

ALTER TABLE SBI_RESOURCES MODIFY COLUMN RESOURCE_NAME VARCHAR(40) NOT NULL;

CREATE TABLE SBI_EXPORTERS (
  ENGINE_ID INTEGER NOT NULL,
  DOMAIN_ID INTEGER NOT NULL,
  DEFAULT_VALUE BOOLEAN,
  PRIMARY KEY (ENGINE_ID, DOMAIN_ID)) type = InnoDB;

CREATE UNIQUE INDEX XAK1SBI_EXPORTERS ON SBI_EXPORTERS
(
       ENGINE_ID                         ASC,
       DOMAIN_ID                         ASC
);

ALTER TABLE SBI_EXPORTERS ADD CONSTRAINT FK_sbi_exporters_domain FOREIGN KEY FK_sbi_exporters_domain ( DOMAIN_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID ) ON DELETE RESTRICT;
ALTER TABLE SBI_EXPORTERS ADD CONSTRAINT FK_sbi_exporters_engine FOREIGN KEY FK_sbi_exporters_engine ( ENGINE_ID ) REFERENCES SBI_ENGINES ( ENGINE_ID ) ON DELETE RESTRICT;

/*adds record for exporter functionality*/ 
Insert into SBI_DOMAINS (VALUE_CD,VALUE_NM,DOMAIN_CD,DOMAIN_NM,VALUE_DS) values ('PDF','PDF','EXPORT_TYPE','Exporters type','Exporters type');
Insert into SBI_DOMAINS (VALUE_CD,VALUE_NM,DOMAIN_CD,DOMAIN_NM,VALUE_DS) values ('XLS','XLS','EXPORT_TYPE','Exporters type','Exporters type');
Insert into SBI_DOMAINS (VALUE_CD,VALUE_NM,DOMAIN_CD,DOMAIN_NM,VALUE_DS) values ('JPG','JPG','EXPORT_TYPE','Exporters type','Exporters type');
Insert into SBI_DOMAINS (VALUE_CD,VALUE_NM,DOMAIN_CD,DOMAIN_NM,VALUE_DS) values ('PPT','PPT','EXPORT_TYPE','Exporters type','Exporters type');

commit;